package org.jerrymouse.cc.site.bean;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class User {
	@Column
	private String password;
	@Column
	private Storage storage;
	@Column
	private UserConfig userConfig;

	@Column
	@Id
	private String username;

	public String getPassword() {
		return password;
	}

	public Storage getStorage() {
		return storage;
	}

	public UserConfig getUserConfig() {
		return userConfig;
	}

	public String getUsername() {
		return username;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public void setStorage(Storage storage) {
		this.storage = storage;
	}

	public void setUserConfig(UserConfig userConfig) {
		this.userConfig = userConfig;
	}

	public void setUsername(String username) {
		this.username = username;
	}

}
